* {
    box-sizing: border-box;
    outline: 0;
}

html, body {
    min-width: 375px;
    background-color: $black;
    color: #fff;
    font-family: 'Acherus Feral', sans-serif;
    font-weight: 300;
    scroll-behavior: smooth;
}

body {
    @include text-main(); 
}

.wrapper {
    position: relative;
    overflow: hidden;
    min-height: 100vh;

    display: flex;
    flex-direction: column;
}

.container {
    position: relative;
}

.s-main {
    flex-grow: 1;
    padding-bottom: 60px;
}


h1, .h1 {
    @include h1(); 
    font-weight: bold;
}
h2, .h2 {
    @include h2(); 
    font-weight: bold;
}
h3, .h3 {
    @include h3(); 
    font-weight: bold;
}
.h3-wrap {
    @include h3-wrap();
    font-weight: bold;
}
h4, .h4 {
    @include h4(); 
    font-weight: bold;
}

p {
    a {
        color: $green2;
        text-decoration: underline;
        transition: text-decoration 0.2s ease;
        &:hover {
            text-decoration: none;
        }
    }
}

a {
    color: inherit;
    &:hover {
        text-decoration: none;
    }
}

b, strong {
    font-weight: bold;
}

.divider {
    width: 50%;
    height: 1px;
    background-color: $green2;
    position: relative;
    &::before {
        content: '';
        height: 2px;
        width: 56px;
        background-image: url($dashed);
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
    }

    &.left {
        &::before {
            right: -66px;
        }
    }
    &.right {
        margin-left: 50%;
        &::before {
            left: -66px;
        }
    }

    &.short  {
        width: 30%;
        &.right {
            margin-left: 70%;
        }
    }

    &.short-20  {
        width: 20%;
        &.right {
            margin-left: 80%;
        }
    }

    @media(min-width: $sm) {
        &.short,
        &.short-20  {
            width: 50%;
            &.right {
                margin-left: 50%;
            }
        }
    }
}

.text-grad {
    color: $green1;
    @supports (-webkit-background-clip: text) and (-webkit-text-fill-color: transparent) {
        background-image: $grad;
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent; 
    }

}

.text-green {
    color: $green1;
}
.text-green2 {
    color: $green2;
}
.text-red {
    color: $red;
}
.text-orange {
    color: $orange2;
}
.text-bold {
    font-weight: bold;
}

.img-fluid {
    display: block;
    max-width: 100%;
    height: auto;
}


.bg-gradient {
    position: absolute;
    width: 1000px;
    height: 1000px;
    background: radial-gradient(50% 50% at 50% 50%, rgba(74, 254, 191, 0.25) 0%, rgba(80, 241, 214, 0.15) 46.35%, rgba(217, 217, 217, 0) 100%);
    border-radius: 50%;
    z-index: -1;
}

.badge {
    font-size: 14px;
    display: inline-flex;
    padding: 2px 8px;
    background-color: $gray;
    color: #fff;
    align-items: center;
    border-radius: 4px;
    font-weight: bold;
    &.badge-green {
        background: $green1;
        border: 1px solid $green1;
        color: $black;      
    }
    &.badge-outlined {
        background: transparent;
        border: 1px solid $green1;
        color: $green1;
    }
}

.i-tip {
    position: relative;
    display: inline-block;
    vertical-align: middle;
    text-align: center;
    line-height: 23px;
    font-style: normal;
    border-radius: 4px;
    cursor: pointer;
    border: 0;
    padding: 0 4px 0 6px;
    top: -3px;

    &::before {
        content: '';
        display: block;
        width: 15px;
        height: 15px;
        background: url($img-tip) 0 0 no-repeat;
    }

    &:hover {
        &::before {
            background-position: 0 -17px;
        }
    }

    &:focus, &.focus {
        &::before {
            background-position: 0 -17px;
        }
    }
}


.tippy-box {
    background: #FFFFFF;
    box-shadow: 10px 10px 100px rgba(0, 0, 0, 0.05);
    border-radius: 10px;
}
.tippy-content {
    font-size: 14px;
    line-height: 18px;
    font-weight: 500;
    padding: 16px 22px 16px;
    color: $black;
    word-wrap: break-word;
    img {
        width: 100%;
    }
}


.row-sm {
    display: flex;
    flex-wrap: wrap;
    margin-left: -12px;
    margin-right: -12px;
    [class*='col-'] {
        padding-right: 12px;
        padding-left: 12px;
    }
}
.row-edit {
    display: flex;
    flex-wrap: wrap;
    padding-left: 8px;
    padding-right: 8px;
    .row-edit {
        margin-left: -8px;
        margin-right: -8px;
    }
    [class*='col-'] {
        padding-right: 4px;
        padding-left: 4px;
    }
}

// // стандартный блок 

// .b-gray {
//     padding: 1em;
//     border-radius: 12px;

//     @media(min-width: $sm) {

//     }
// }

// общая логика появления блоков при наведении
.b-select {
    cursor: pointer;
    position: relative;

    .b-select__list {
        display: none;
        position: absolute;
        right: 0;
        min-width: 100%;
        top: 100%;
        list-style-type: none;
        margin: 0;
        padding: 0;
        background-color: $black;

        li:hover {
            color: $gray;
            a {
                color: $gray; 
            }
        }
    }

    &:hover {
        .b-select__list {
            display: block;
        }
    }
}

// socials list ----------------

ul.socials {
    list-style-type: none;
    padding: 0;
    margin: 0;
    display: flex;

    li {
        padding: 0 3px;
    }
    img {
        display: block;
        border-radius: 50%;
        width: 25px;
        height: 25px;
    }

    a {
        display: block;
        border-radius: 50%;
        &:hover {
            box-shadow: 0px 4px 40px #66FDD0;
        }
    }

    @media(min-width: $lg) {
        img {
            width: 30px;
            height: 30px;
        }
    }
}

// loading dots ----------------

.loading-dots {
    font-size: 1.2em;
    span {
        animation-name: blink;
        animation-duration: 1.4s;
        animation-iteration-count: infinite;
        animation-fill-mode: both;

        &:nth-child(2) {
            animation-delay: .2s;
        }
        &:nth-child(3) {
            animation-delay: .4s;
        }
    }
}

// upload popover ----------------

.upload-container {
    position: relative;
    &::before {
        content: '';
        display: block;
        padding-top: 100%;
    }
    .upload-poopover {
        display: block;
        padding: 20px;
    }
}

.upload-poopover {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    padding: 30px;
    background: rgba($gray, 0.90);
    z-index: 15;
    border-radius: 20px;
    backdrop-filter: blur(10px);

    .inner {
        display: flex;
        align-items: center;
        justify-content: center;
        border: 1px dashed rgba(#fff, 0.8);
        border-radius: 20px;
        height: 100%;
        width: 100%;
    }
}

.nft-upload {
    .upload-poopover {
        background: rgba($black, 0.9);
    }
}



// for inner scroll style ----------------
.scroll-light-bg {
    overflow: auto; 

    @media(min-width: $md) {
        &::-webkit-scrollbar {
            width: 20px;
            background-color: transparent;
            background-color: rgba(#fff, 0.1);
            border-radius: 0;
            border-left: 14px solid #1E2121;
        }
        
        &::-webkit-scrollbar-thumb {
            background-color: rgba(#fff, 0.3);
            border-radius: 0;
            border-left: 14px solid #1E2121;
        }
    }

}

.scroll-dark-bg {
    overflow: auto; 
    &::-webkit-scrollbar-corner { background: transparent; }
    &::-webkit-scrollbar {
        width: 12px;
        height: 12px;
        background-color: transparent;
        background-color: rgba(#fff, 0);
        border-radius: 0;
    }
    &::-webkit-scrollbar-thumb {
        background-color: rgba(#fff, 0.3);
        border-radius: 0;
        border: 3px solid $black;
    }
}


// сообщения и предупреждения об ошибках ---------
.alert {
    @include text-14-16();
    padding: 0.75em 1em;
    background: rgba(#fff, 0.05);
    border-radius: 10px;
    color: rgba(#fff, 0.8);

    p {
        margin: 0 0 0.5em;
        &:last-child {
            margin-bottom: 0;
        }
    }
}
.alert-warning {
    color: $orange2;
}
.alert-error {
    color: $red;
}

.c-errors {
    @include text-14-16();
    padding: 1em 1em 1em;
    background: rgba(#fff, 0.05);
    border-radius: 10px;
    ul {
        list-style-type: none;
        padding: 0;
        margin: 0;
    }
    li {
        margin-bottom: 10px;
        padding-left: 16px;
        position: relative;
        &::before {
            content: '';
            display: inline-block;
            width: 0; 
            height: 0; 
            border-top: 5px solid transparent;
            border-bottom: 5px solid transparent;
            
            border-left: 6px solid #fff;
            position: absolute;
            left: 0;
            top: 0.2em;
            opacity: 0.6;
        }
    }

    a, button {
        text-decoration: none;
        border-bottom: 1px solid rgba($orange2, 0.4);
        padding: 0;
        height: auto;
        &:hover {
            color: #fff;
            border-color: transparent;
        }
    }
}

.tab-section__toggle {
    margin-bottom: 30px;
    display: flex;
    padding: 20px;
    background-color: $gray;
    border-radius: 20px;

    .tab {
        background-color: $black;
        border-radius: 50px;
        display: inline-flex;
        align-items: center;
        height: 54px;
        padding: 2px 32px 0;
        margin-right: 16px;
        color: rgba(#fff, 0.4);
        border: 0;
        &:hover {
            color: rgba(#fff, 1);
        }
        &.active {
            color: #fff; 
            font-weight: bold;
            background-color: $black;
            cursor: default;
        }
    }
}